org.fourthline.cling.model.message.header

## Class RangeHeader

- java.lang.Object
- - org.fourthline.cling.model.message.header.UpnpHeader<BytesRange>
  - - org.fourthline.cling.model.message.header.RangeHeader

-     public class RangeHeader
      extends UpnpHeader<BytesRange>

  Author:
    Christian Bauer, Mario Franco

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `UpnpHeader.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeHeader()`
    `RangeHeader(BytesRange value)`
    `RangeHeader(String s)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `void` | `setString(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.message.header.UpnpHeader

      `getValue, newInstance, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeHeader

          public RangeHeader()

    - #### RangeHeader

          public RangeHeader(BytesRange value)

    - #### RangeHeader

          public RangeHeader(String s)

  - ### Method Detail

    - #### setString

          public void setString(String s)
                         throws InvalidHeaderException

      Specified by:
        `setString` in class `UpnpHeader<BytesRange>`
      Parameters:
        `s` - This header's value as a string representation.
      Throws:
        `InvalidHeaderException` - If the value is invalid for this UPnP header.

    - #### getString

          public String getString()

      Specified by:
        `getString` in class `UpnpHeader<BytesRange>`
      Returns:
        A string representing this header's value.

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.